## ktorrent 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KTorrent VERSION ${RELEASE_SERVICE_VERSION})

add_definitions(-D'VERSION="${RELEASE_SERVICE_VERSION}"'
                -D'VERSION_MAJOR=${RELEASE_SERVICE_VERSION_MAJOR}'
                -D'VERSION_MINOR=${RELEASE_SERVICE_VERSION_MINOR}'
                -D'VERSION_MICRO=${RELEASE_SERVICE_VERSION_MICRO}')

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.82")
set (LIBKTORRENT_MIN_VERSION "20.11.70")
set (Boost_MIN_VERSION "1.71.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(KDEClangFormat)
include(KDEGitCommitHooks)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    DBus
    Network
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
  COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    I18n
    IconThemes
    KIO
    Notifications
    NotifyConfig
    KCMUtils
    Parts
    Solid
    WidgetsAddons
    WindowSystem
    XmlGui
  OPTIONAL_COMPONENTS
    DocTools
)

find_package(KF5Torrent ${LIBKTORRENT_MIN_VERSION} CONFIG REQUIRED)
find_package(Boost ${Boost_MIN_VERSION} REQUIRED)

find_package(KF5TextWidgets ${KF5_MIN_VERSION})
set_package_properties(KF5TextWidgets
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's IP Filter plugin"
)
if(KF5TextWidgets_FOUND)
  set(HAVE_KF5TextWidgets 1)
endif()

find_package(KF5Archive ${KF5_MIN_VERSION})
set_package_properties(KF5Archive
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's scripting plugin"
)
if(KF5Archive_FOUND)
  set(HAVE_KF5Archive 1)
endif()

find_package(KF5ItemViews ${KF5_MIN_VERSION})
set_package_properties(KF5ItemViews
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's scripting plugin"
)
if(KF5ItemViews_FOUND)
  set(HAVE_KF5ItemViews 1)
endif()

find_package(KF5Plotting ${KF5_MIN_VERSION})
set_package_properties(KF5Plotting
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's statistics plugin"
)
if(KF5Plotting_FOUND)
  set(HAVE_KF5Plotting 1)
endif()

find_package(KF5Syndication ${KF5_MIN_VERSION})
set_package_properties(KF5Syndication
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's syndication plugin"
)
if(KF5Syndication_FOUND)
  set(HAVE_KF5Syndication 1)
endif()

find_package(Qt5WebEngineWidgets ${QT_MIN_VERSION})
set_package_properties(Qt5WebEngineWidgets
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's search and syndication plugins"
)
if(Qt5WebEngineWidgets_FOUND)
  set(HAVE_Qt5WebEngineWidgets 1)
endif()

find_package(KF5DNSSD ${KF5_MIN_VERSION})
set_package_properties(KF5DNSSD
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's Zeroconf plugin"
)
if(KF5DNSSD_FOUND)
  set(HAVE_KF5DNSSD 1)
endif()

find_package(KF5Completion ${KF5_MIN_VERSION})
set_package_properties(KF5Completion
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's UPnP plugin"
)
if(KF5Completion_FOUND)
  set(HAVE_KF5Completion 1)
endif()

find_package(LibKWorkspace CONFIG)
set_package_properties(LibKWorkspace
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's shutdown plugin"
)
if(LibKWorkspace_FOUND)
  set(HAVE_LibKWorkspace 1)
endif()

#find_package(Qt5 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Multimedia MultimediaWidgets)

find_package(Taglib)
set_package_properties(Taglib
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's multimedia plugin"
)

if(TAGLIB_FOUND)
  set(HAVE_Taglib 1)
endif()

find_package(Phonon4Qt5)
set_package_properties(Phonon4Qt5
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's multimedia plugin"
)


#
# checks for functions and stuff
#
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckTypeSize) #XFS


# according to http://www.cmake.org/pipermail/cmake/2008-June/022381.html
kde_enable_exceptions()

add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_CAST_TO_BYTEARRAY
  -DQT_NO_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)

set (KTORRENT_DBUS_XML_DIR ${CMAKE_SOURCE_DIR}/dbus_xml)
set (KTORRENT_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/ktorrent)

include_directories(Boost::boost)

add_subdirectory(libktcore)
add_subdirectory(plugins)
add_subdirectory(ktorrent)
add_subdirectory(ktupnptest)
add_subdirectory(ktmagnetdownloader)
if (KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()
# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== ktorrent/CMakeLists.txt ===
add_executable(ktorrent_app)
set_target_properties(ktorrent_app  PROPERTIES
    OUTPUT_NAME ktorrent
    CXX_STANDARD 14
)

set(ktorrent_dbus_SRC)
set(powermanagementinhibit_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.PowerManagement.Inhibit.xml)
qt5_add_dbus_interface(ktorrent_dbus_SRC ${powermanagementinhibit_xml} powermanagementinhibit_interface)

target_sources(ktorrent_app PRIVATE
	${ktorrent_dbus_SRC}

	main.cpp
	core.cpp
	gui.cpp
	torrentactivity.cpp
	statusbar.cpp
	trayicon.cpp
	ipfilterlist.cpp
	ipfilterwidget.cpp
	statusbarofflineindicator.cpp
	
	tools/queuemanagerwidget.cpp
	tools/queuemanagermodel.cpp
	tools/magnetmodel.cpp
	tools/magnetview.cpp
	
	groups/grouppolicydlg.cpp
	groups/groupfiltermodel.cpp
	groups/groupview.cpp
	groups/groupviewmodel.cpp
	groups/groupswitcher.cpp
	
	dialogs/pastedialog.cpp
	dialogs/speedlimitsdlg.cpp
	dialogs/speedlimitsmodel.cpp
	dialogs/spinboxdelegate.cpp
	dialogs/torrentcreatordlg.cpp
	dialogs/missingfilesdlg.cpp
	dialogs/importdialog.cpp
	dialogs/addpeersdlg.cpp
	dialogs/fileselectdlg.cpp 
	
	pref/prefdialog.cpp 
	pref/colorpref.cpp
	pref/advancedpref.cpp
	pref/networkpref.cpp
	pref/proxypref.cpp
	pref/qmpref.cpp
	pref/generalpref.cpp
	pref/recommendedsettingsdlg.cpp
	pref/btpref.cpp
	
	view/view.cpp 
	view/viewmodel.cpp
	view/viewdelegate.cpp
	view/viewselectionmodel.cpp
	view/viewjobtracker.cpp 
	view/scanextender.cpp
	view/propertiesdlg.cpp
	view/torrentsearchbar.cpp 
)

ki18n_wrap_ui(ktorrent_app
	ipfilterwidget.ui 
	
	dialogs/speedlimitsdlg.ui 
	dialogs/pastedlgbase.ui 
	dialogs/torrentcreatordlg.ui 
	dialogs/missingfilesdlg.ui
	dialogs/importdialog.ui
	dialogs/addpeersdlg.ui
	dialogs/fileselectdlg.ui 
	
	groups/grouppolicydlg.ui
	
	pref/qmpref.ui 
	pref/btpref.ui
	pref/generalpref.ui 
	pref/colorpref.ui
	pref/advancedpref.ui 
	pref/networkpref.ui
	pref/proxypref.ui
	pref/recommendedsettingsdlg.ui
	
	view/scanextender.ui
	view/propertiesdlg.ui
)

# collect icons
set(KTORRENT_ICONS_PNG
    icons/16-apps-ktorrent.png
    icons/22-apps-ktorrent.png
    icons/32-apps-ktorrent.png
    icons/48-apps-ktorrent.png
    icons/64-apps-ktorrent.png
    icons/128-apps-ktorrent.png
)

ecm_add_app_icon(ktorrent_app ICONS ${KTORRENT_ICONS_PNG})

target_link_libraries(ktorrent_app
    ktcore
    KF5::Torrent
    KF5::Crash
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::DBusAddons
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::Notifications
    KF5::NotifyConfig
    KF5::Parts
    KF5::Solid
    KF5::WidgetsAddons
    KF5::WindowSystem
    KF5::XmlGui
    KF5::Crash
)

install(TARGETS ktorrent_app ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.ktorrent.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install(FILES ktorrentui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktorrent )
install(FILES kttorrentactivityui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktorrent )
install(FILES ktorrent.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR} )
install(FILES org.kde.ktorrent.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

add_subdirectory(icons)

=== plugins/CMakeLists.txt ===
MACRO (MACRO_KT_PLUGIN _option _name _dir)
option(${_option} "Whether to build the ${_name} plugin or not" true)
if (${_option})
  message(STATUS "Building ${_name} plugin (-D${_option}=false to disable)")
  add_subdirectory(${_dir})
else (${_option})
  message(STATUS "Not building ${_name} plugin (-D${_option}=true to enable)")
endif (${_option})
ENDMACRO (MACRO_KT_PLUGIN)

macro_kt_plugin(ENABLE_LOGVIEWER_PLUGIN logviewer logviewer)
macro_kt_plugin(ENABLE_INFOWIDGET_PLUGIN infowidget infowidget)
if (HAVE_KF5Completion)
    macro_kt_plugin(ENABLE_UPNP_PLUGIN upnp upnp)
endif()
if (HAVE_Qt5WebEngineWidgets)
  macro_kt_plugin(ENABLE_SEARCH_PLUGIN search search)
endif()
macro_kt_plugin(ENABLE_SCANFOLDER_PLUGIN scanfolder scanfolder)
macro_kt_plugin(ENABLE_SCANFOLDER_PLUGIN scanforlostfiles scanforlostfiles)
if(HAVE_QT5_Test)
  set(HAVE_QT5_Test2 1)
endif()
if (HAVE_KF5TextWidgets)
    macro_kt_plugin(ENABLE_IPFILTER_PLUGIN ipfilter ipfilter)
endif()
if (HAVE_KF5Plotting)
    macro_kt_plugin(ENABLE_STATS_PLUGIN stats stats)
endif()
macro_kt_plugin(ENABLE_BWSCHEDULER_PLUGIN bwscheduler bwscheduler)
if (HAVE_Taglib AND PHONON_FOUND_EXPERIMENTAL) #AND Qt5Multimedia_FOUND)
  macro_kt_plugin(ENABLE_MEDIAPLAYER_PLUGIN mediaplayer mediaplayer)
endif()
if (HAVE_KF5Syndication AND HAVE_Qt5WebEngineWidgets)
  macro_kt_plugin(ENABLE_SYNDICATION_PLUGIN syndication syndication)
endif()
macro_kt_plugin(ENABLE_DOWNLOADORDER_PLUGIN downloadorder downloadorder)
if (HAVE_LibKWorkspace)
  macro_kt_plugin(ENABLE_SHUTDOWN_PLUGIN shutdown shutdown)
endif()
if (HAVE_KF5DNSSD)
  macro_kt_plugin(ENABLE_ZEROCONF_PLUGIN zeroconf zeroconf)
endif()
macro_kt_plugin(ENABLE_MAGNETGENERATOR_PLUGIN magnetgenerator magnetgenerator)

=== plugins/downloadorder/CMakeLists.txt ===
add_library(ktorrent_downloadorder MODULE)

target_sources(ktorrent_downloadorder PRIVATE
    downloadorderplugin.cpp
    downloadorderdialog.cpp
    downloadordermanager.cpp
    downloadordermodel.cpp
)

ki18n_wrap_ui(ktorrent_downloadorder downloadorderwidget.ui)

kcoreaddons_desktop_to_json(ktorrent_downloadorder  ktorrent_downloadorder.desktop)

target_link_libraries(
    ktorrent_downloadorder
    ktcore
    KF5::Torrent
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::XmlGui
)
install(TARGETS ktorrent_downloadorder  DESTINATION ${KTORRENT_PLUGIN_INSTALL_DIR} )
install(FILES ktorrent_downloadorderui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktorrent )

=== plugins/infowidget/CMakeLists.txt ===
# Add an option to compile & link against system GeoIP
option(BUILD_WITH_GEOIP
	"Link InfoWidget plugin against system GeoIP library and use system-wide default GeoIP Country database"
	ON)

if (BUILD_WITH_GEOIP)
	find_path(GEOIP_INCLUDE_DIR NAMES GeoIP.h PATHS / ${INCLUDE_INSTALL_DIR}/)
	find_library(GEOIP_LIBRARY NAMES GeoIP PATHS ${LIB_INSTALL_DIR})
	
	if (NOT GEOIP_INCLUDE_DIR OR NOT GEOIP_LIBRARY)
		set(BUILD_WITH_GEOIP OFF CACHE BOOL
		  "GeoIP development files could not be found on this system. Forcing this option to OFF"
		  FORCE)
		message(WARNING "GeoIP library development files could not be found on your system.")
	else()
        message(STATUS "   Linking InfoWidget against system GeoIP library")
        include_directories(GEOIP_INCLUDE_DIR)
        set(geoip_link ${GEOIP_LIBRARY})
    endif()
endif(BUILD_WITH_GEOIP)

add_library(ktorrent_infowidget MODULE)

target_sources(ktorrent_infowidget PRIVATE
	infowidgetplugin.cpp 
	iwprefpage.cpp 
	monitor.cpp 
	availabilitychunkbar.cpp 
	downloadedchunkbar.cpp 
	statustab.cpp
	fileview.cpp
	peerview.cpp
	peerviewmodel.cpp
	chunkdownloadview.cpp
	chunkdownloadmodel.cpp
	trackerview.cpp
	trackermodel.cpp
	addtrackersdialog.cpp
	flagdb.cpp
	iwfiletreemodel.cpp
	iwfilelistmodel.cpp
	webseedstab.cpp
	webseedsmodel.cpp)

if (BUILD_WITH_GEOIP)
    target_sources(ktorrent_infowidget PRIVATE geoipmanager.cpp)
    add_definitions(-DBUILD_WITH_GEOIP=1)
else()
    add_definitions(-DBUILD_WITH_GEOIP=0)
endif()

ki18n_wrap_ui(ktorrent_infowidget iwprefpage.ui statustab.ui chunkdownloadview.ui trackerview.ui webseedstab.ui)
kconfig_add_kcfg_files(ktorrent_infowidget infowidgetpluginsettings.kcfgc)

kcoreaddons_desktop_to_json(ktorrent_infowidget ktorrent_infowidget.desktop)

target_link_libraries(
    ktorrent_infowidget
    ktcore
    KF5::Torrent
    KF5::ConfigCore
    KF5::I18n
    KF5::KIOFileWidgets
    KF5::KIOWidgets
    KF5::WidgetsAddons
    ${geoip_link}
)
install(TARGETS ktorrent_infowidget DESTINATION ${KTORRENT_PLUGIN_INSTALL_DIR} )

=== plugins/magnetgenerator/CMakeLists.txt ===
add_library(ktorrent_magnetgenerator MODULE)

target_sources(ktorrent_magnetgenerator PRIVATE
	magnetgeneratorprefwidget.cpp
	magnetgeneratorplugin.cpp)

ki18n_wrap_ui(ktorrent_magnetgenerator magnetgeneratorprefwidget.ui)
kconfig_add_kcfg_files(ktorrent_magnetgenerator magnetgeneratorpluginsettings.kcfgc)

kcoreaddons_desktop_to_json(ktorrent_magnetgenerator ktorrent_magnetgenerator.desktop)

target_link_libraries(
    ktorrent_magnetgenerator
    ktcore
    KF5::Torrent
    KF5::CoreAddons
    KF5::I18n
    KF5::Notifications
    KF5::XmlGui
)

target_include_directories(ktorrent_magnetgenerator PRIVATE "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}>")

install(TARGETS ktorrent_magnetgenerator  DESTINATION ${KTORRENT_PLUGIN_INSTALL_DIR} )
install(FILES ktorrent_magnetgeneratorui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktorrent )

=== plugins/mediaplayer/CMakeLists.txt ===
find_package(Taglib REQUIRED)
#find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Multimedia MultimediaWidgets)
#include_directories(${Qt5Multimedia_INCLUDE_DIRS})
include_directories(SYSTEM ${PHONON_INCLUDES})

add_library(ktorrent_mediaplayer MODULE)

set(ktmediaplayerplugin_dbus_SRC)
set(screensaver_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.ScreenSaver.xml)
qt5_add_dbus_interface(ktmediaplayerplugin_dbus_SRC ${screensaver_xml} screensaver_interface)

set(powermanagementinhibit_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.PowerManagement.Inhibit.xml)
qt5_add_dbus_interface(ktmediaplayerplugin_dbus_SRC ${powermanagementinhibit_xml} powermanagementinhibit_interface)

target_sources(ktorrent_mediaplayer PRIVATE
	${ktmediaplayerplugin_dbus_SRC}
	mediacontroller.cpp
	playlist.cpp
	playlistwidget.cpp
	mediaplayeractivity.cpp
	mediaplayerplugin.cpp
	mediaview.cpp
	mediamodel.cpp
	mediafile.cpp
	mediafilestream.cpp
	mediaplayer.cpp
	videowidget.cpp
	videochunkbar.cpp
)

ki18n_wrap_ui(ktorrent_mediaplayer mediacontroller.ui)
kconfig_add_kcfg_files(ktorrent_mediaplayer mediaplayerpluginsettings.kcfgc)

kcoreaddons_desktop_to_json(ktorrent_mediaplayer ktorrent_mediaplayer.desktop)

target_link_libraries(
    ktorrent_mediaplayer
    ktcore
    Taglib::Taglib
    Phonon::phonon4qt5
    KF5::Torrent
    KF5::I18n
    KF5::KIOFileWidgets
    KF5::XmlGui
    KF5::WidgetsAddons
#    Qt5::MultimediaWidgets
    )
install(TARGETS ktorrent_mediaplayer DESTINATION ${KTORRENT_PLUGIN_INSTALL_DIR} )
install(FILES ktorrent_mediaplayerui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktorrent )

=== plugins/search/CMakeLists.txt ===
add_library(ktorrent_search MODULE)

target_sources(ktorrent_search PRIVATE
	webview.cpp 
	searchenginelist.cpp 
	searchprefpage.cpp 
	searchwidget.cpp 
	searchtoolbar.cpp 
	searchplugin.cpp 
	searchengine.cpp 
	opensearchdownloadjob.cpp
        searchactivity.cpp
        proxy_helper.cpp
        magneturlschemehandler.cpp)

ki18n_wrap_ui(ktorrent_search searchpref.ui)
kconfig_add_kcfg_files(ktorrent_search searchpluginsettings.kcfgc)

kcoreaddons_desktop_to_json(ktorrent_search ktorrent_search.desktop)

target_link_libraries(
    ktorrent_search
    ktcore
    Qt5::WebEngineWidgets
    KF5::Torrent
    KF5::CoreAddons
    KF5::Completion
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Notifications
    KF5::WidgetsAddons
    KF5::XmlGui
)

install(TARGETS ktorrent_search  DESTINATION ${KTORRENT_PLUGIN_INSTALL_DIR} )
install(FILES ktorrent_searchui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktorrent )

add_subdirectory(opensearch)
add_subdirectory(home)

=== plugins/syndication/CMakeLists.txt ===
add_library(ktorrent_syndication MODULE)

target_sources(ktorrent_syndication PRIVATE
	syndicationplugin.cpp 
	syndicationactivity.cpp
	syndicationtab.cpp
	feedlistview.cpp 
	feedlist.cpp 
	feedlistdelegate.cpp
	feedwidget.cpp 
	feedwidgetmodel.cpp
	feedretriever.cpp
	ktfeed.cpp
	linkdownloader.cpp
	managefiltersdlg.cpp
	filter.cpp
	filterlist.cpp
	filterlistview.cpp
	filterlistmodel.cpp
	filtereditor.cpp)

ki18n_wrap_ui(ktorrent_syndication feedwidget.ui managefiltersdlg.ui filtereditor.ui)

kcoreaddons_desktop_to_json(ktorrent_syndication ktorrent_syndication.desktop)

target_link_libraries(
    ktorrent_syndication
    ktcore
    Qt5::WebEngineWidgets
    KF5::Torrent
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Syndication
    KF5::WidgetsAddons
    KF5::XmlGui
)
install(TARGETS ktorrent_syndication DESTINATION ${KTORRENT_PLUGIN_INSTALL_DIR} )
install(FILES ktorrent_syndicationui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktorrent )

add_subdirectory(icons)

=== plugins/zeroconf/CMakeLists.txt ===
add_library(ktorrent_zeroconf MODULE)

target_sources(ktorrent_zeroconf PRIVATE
    zeroconfplugin.cpp
    torrentservice.cpp
)

# ki18n_wrap_ui(ktorrent_zeroconf zeroconfpref.ui searchbar.ui)
#kconfig_add_kcfg_files(ktorrent_zeroconf zeroconfpluginsettings.kcfgc)

kcoreaddons_desktop_to_json(ktorrent_zeroconf ktorrent_zeroconf.desktop)

target_link_libraries(ktorrent_zeroconf
    ktcore
    KF5::Torrent
    KF5::CoreAddons
    KF5::DNSSD
    KF5::I18n
)
install(TARGETS ktorrent_zeroconf  DESTINATION ${KTORRENT_PLUGIN_INSTALL_DIR} )

=== debian/changelog ===
ktorrent (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:16:05 +0000

ktorrent (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:22:40 +0000

ktorrent (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:30:29 +0000

ktorrent (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:27:38 +0000

ktorrent (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:11:57 +0000

ktorrent (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:22:50 +0000

ktorrent (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:30:02 +0000

ktorrent (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:45:14 +0000

=== debian/control ===
Source: ktorrent
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               kross-dev (>= 5.15),
               libboost-dev,
               libgeoip-dev,
               libkf5archive-dev (>= 5.15),
               libkf5completion-dev (>= 5.15),
               libkf5config-dev (>= 5.15),
               libkf5configwidgets-dev (>= 5.15),
               libkf5coreaddons-dev (>= 5.15),
               libkf5crash-dev (>= 5.15),
               libkf5dbusaddons-dev (>= 5.15),
               libkf5dnssd-dev (>= 5.15),
               libkf5doctools-dev (>= 5.15),
               libkf5i18n-dev (>= 5.15),
               libkf5iconthemes-dev (>= 5.15),
               libkf5itemviews-dev (>= 5.15),
               libkf5kcmutils-dev (>= 5.15),
               libkf5kio-dev (>= 5.15),
               libkf5notifications-dev (>= 5.15),
               libkf5notifyconfig-dev (>= 5.15),
               libkf5parts-dev (>= 5.15),
               libkf5plotting-dev (>= 5.15),
               libkf5solid-dev (>= 5.15),
               libkf5syndication-dev,
               libkf5textwidgets-dev (>= 5.15),
               libkf5widgetsaddons-dev (>= 5.15),
               libkf5windowsystem-dev (>= 5.15),
               libkf5xmlgui-dev (>= 5.15),
               libktorrent-dev (>= 21.12.3~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libtag1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.7.0),
               qtscript5-dev (>= 5.7.0),
               qtwebengine5-dev (>= 5.7.0) [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent

Package: ktorrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version}),
 libktorrent-l10n
Suggests: krosspython, geoip-database
Description: BitTorrent client based on the KDE platform
 This package contains KTorrent, a BitTorrent peer-to-peer network client, that
 is based on the KDE platform. Obviously, KTorrent supports such basic features
 as downloading, uploading and seeding files on the BitTorrent network.
 However, lots of other additional features and intuitive GUI should make
 KTorrent a good choice for everyone. Some features are available as plugins
 hence you should make sure you have the ones you need enabled.
   - Support for HTTP and UDP trackers, trackerless DHT (mainline) and webseeds.
   - Alternative UI support including Web interface.
   - Torrent grouping, speed capping, various download prioritization
     capabilities on both torrent and file level as well as bandwidth
     scheduling.
   - Support for fetching torrent files from many sources including any local
     file or remote URL, RSS feeds (with filtering) or actively monitored
     directory etc.
   - Integrated and customizable torrent search on the Web.
   - Various security features like IP blocking and protocol encryption.
   - Disk space preallocation to reduce fragmentation.
   - uTorrent compatible peer exchange.
   - Autoconfiguration for LANs like Zeroconf extension and port forwarding via
     uPnP.
   - Scripting support via Kross and interprocess control via DBus interface.
   - SOCKSv4 and SOCKSv5 proxy, IPv6 support.
   - Lots of other useful built-in features and plugins.

Package: ktorrent-data
Architecture: all
Depends: ${misc:Depends}
Recommends: ktorrent (>= ${source:Version})
Description: KTorrent data and other architecture independent files
 This package contains architecture independent data files for KTorrent,
 a BitTorrent peer-to-peer network client. Unless you have ktorrent package
 installed, you probably won't find this package useful.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DWITH_SYSTEM_GEOIP:BOOL=ON \
	                           -DBUILD_TESTING=OFF

%:
	dh $@ --with kf5

.PHONY: override_dh_auto_test

## ktorrent 22.08.1

=== debian/changelog ===
ktorrent (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:45:21 +0100

ktorrent (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:54:43 +0100

ktorrent (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:32:30 +0100

ktorrent (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:07:04 +0100

ktorrent (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:06:09 +0100

ktorrent (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:53:29 +0100

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                libkf5widgetsaddons-dev (>= 5.15),
                libkf5windowsystem-dev (>= 5.15),
                libkf5xmlgui-dev (>= 5.15),
-               libktorrent-dev (>= 21.12.3~),
+               libktorrent-dev (>= 22.08.1~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libtag1-dev,

## ktorrent 22.12.0

=== debian/changelog ===
ktorrent (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.12.0).
  * Update the list of installed files from build logs.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:44 +0100

ktorrent (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Removed Modestas Vainius from the uploaders, thanks for your work on
    the package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Drop deprecated lintian override.
  * Complete upstream metadata.
  * Change maintainer to Debian Qt/KDE Maintainers now that ktorrent is part
    of the Gear set.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Rewrite copyright information in machine-readable format.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 09 Mar 2022 22:04:43 +0100

ktorrent (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release based from KDE Gears (21.08.0).
  * Update watch file.
  * Add upstream signing key.
  * Drop patch.

 -- Norbert Preining <norbert@preining.info>  Fri, 20 Aug 2021 11:43:52 +0900

=== debian/control ===
Source: ktorrent
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91~),
               gettext,
               kross-dev (>= 5.82~),
               libboost-dev (>= 1.71.0~),
               libgeoip-dev,
               libkf5archive-dev (>= 5.91~),
               libkf5completion-dev (>= 5.91~),
               libkf5config-dev (>= 5.91~),
               libkf5configwidgets-dev (>= 5.91~),
               libkf5coreaddons-dev (>= 5.91~),
               libkf5crash-dev (>= 5.91~),
               libkf5dbusaddons-dev (>= 5.91~),
               libkf5dnssd-dev (>= 5.91~),
               libkf5doctools-dev (>= 5.91~),
               libkf5i18n-dev (>= 5.91~),
               libkf5iconthemes-dev (>= 5.91~),
               libkf5itemviews-dev (>= 5.91~),
               libkf5kcmutils-dev (>= 5.91~),
               libkf5kio-dev (>= 5.91~),
               libkf5notifications-dev (>= 5.91~),
               libkf5notifyconfig-dev (>= 5.91~),
               libkf5parts-dev (>= 5.91~),
               libkf5plotting-dev (>= 5.91~),
               libkf5solid-dev (>= 5.91~),
               libkf5syndication-dev (>= 1:5.91~),
               libkf5textwidgets-dev (>= 5.91~),
               libkf5widgetsaddons-dev (>= 5.91~),
               libkf5windowsystem-dev (>= 5.91~),
               libkf5xmlgui-dev (>= 5.91~),
               libktorrent-dev (>= 20.11.70~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libtag1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.2~),
               qtscript5-dev (>= 5.7.0),
               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktorrent.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktorrent

Package: ktorrent
Architecture: any
Depends: ktorrent-data (= ${source:Version}),
         libktorrent-l10n,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: geoip-database, krosspython
Description: BitTorrent client based on the KDE platform
 This package contains KTorrent, a BitTorrent peer-to-peer network client, that
 is based on the KDE platform. Obviously, KTorrent supports such basic features
 as downloading, uploading and seeding files on the BitTorrent network.
 However, lots of other additional features and intuitive GUI should make
 KTorrent a good choice for everyone. Some features are available as plugins
 hence you should make sure you have the ones you need enabled.
   - Support for HTTP and UDP trackers, trackerless DHT (mainline) and webseeds.
   - Alternative UI support including Web interface.
   - Torrent grouping, speed capping, various download prioritization
     capabilities on both torrent and file level as well as bandwidth
     scheduling.
   - Support for fetching torrent files from many sources including any local
     file or remote URL, RSS feeds (with filtering) or actively monitored
     directory etc.
   - Integrated and customizable torrent search on the Web.
   - Various security features like IP blocking and protocol encryption.
   - Disk space preallocation to reduce fragmentation.
   - uTorrent compatible peer exchange.
   - Autoconfiguration for LANs like Zeroconf extension and port forwarding via
     uPnP.
   - Scripting support via Kross and interprocess control via DBus interface.
   - SOCKSv4 and SOCKSv5 proxy, IPv6 support.
   - Lots of other useful built-in features and plugins.

Package: ktorrent-data
Architecture: all
Depends: ${misc:Depends}
Recommends: ktorrent (>= ${source:Version})
Description: KTorrent data and other architecture independent files
 This package contains architecture independent data files for KTorrent,
 a BitTorrent peer-to-peer network client. Unless you have ktorrent package
 installed, you probably won't find this package useful.

## ktorrent 22.12.3

=== ktupnptest/CMakeLists.txt ===
add_executable(ktupnptest)

target_sources(ktupnptest PRIVATE main.cpp upnptestwidget.cpp)

ki18n_wrap_ui(ktupnptest upnptestwidget.ui)

target_link_libraries(
    ktupnptest
    Qt::Network
    KF5::Torrent
    KF5::CoreAddons
    KF5::I18n
)
install(TARGETS ktupnptest ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,10 @@
   message(STATUS "Not building ${_name} plugin (-D${_option}=true to enable)")
 endif (${_option})
 ENDMACRO (MACRO_KT_PLUGIN)
+
+function(ktorrent_add_plugin name)
+    kcoreaddons_add_plugin(${name} INSTALL_NAMESPACE "ktorrent_plugins")
+endfunction()
 
 macro_kt_plugin(ENABLE_LOGVIEWER_PLUGIN logviewer logviewer)
 macro_kt_plugin(ENABLE_INFOWIDGET_PLUGIN infowidget infowidget)

=== plugins/bwscheduler/CMakeLists.txt ===
ktorrent_add_plugin(ktorrent_bwscheduler)

set(ktbwschedulerplugin_dbus_SRC)
set(screensaver_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.ScreenSaver.xml)
qt_add_dbus_interface(ktbwschedulerplugin_dbus_SRC ${screensaver_xml} screensaver_interface)

target_sources(ktorrent_bwscheduler PRIVATE
	${ktbwschedulerplugin_dbus_SRC}
	bwschedulerplugin.cpp 
	weekview.cpp 
	weekscene.cpp 
	schedule.cpp 
	scheduleeditor.cpp 
	schedulegraphicsitem.cpp 
	bwprefpage.cpp 
	guidanceline.cpp 
	edititemdlg.cpp 
	weekdaymodel.cpp
)

ki18n_wrap_ui(ktorrent_bwscheduler edititemdlg.ui bwprefpage.ui)
kconfig_add_kcfg_files(ktorrent_bwscheduler bwschedulerpluginsettings.kcfgc)

target_link_libraries(
    ktorrent_bwscheduler
    ktcore
    Boost::boost
    KF5::Torrent
    KF5::CoreAddons
    KF5::I18n
    KF5::XmlGui
    KF5::WidgetsAddons
)
install(FILES ktorrent_bwschedulerui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktorrent )

=== plugins/stats/CMakeLists.txt ===
include_directories(${CMAKE_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/drawer)

ktorrent_add_plugin(ktorrent_stats)

target_sources(ktorrent_stats PRIVATE
	drawer/ChartDrawer.cc
	drawer/ChartDrawerData.cc
	drawer/ChartDrawerData.h
	drawer/ChartDrawer.h
	drawer/PlainChartDrawer.cc
	drawer/PlainChartDrawer.h
	drawer/KPlotWgtDrawer.cc
	drawer/KPlotWgtDrawer.h

	StatsPlugin.cc 
	PluginPage.cc 
	SpdTabPage.cc 
	ConnsTabPage.cc
	SettingsPage.cc
	DisplaySettingsPage.cc
)

ki18n_wrap_ui(ktorrent_stats Spd.ui Conns.ui Settings.ui DisplaySettings.ui)
kconfig_add_kcfg_files(ktorrent_stats statspluginsettings.kcfgc)

target_link_libraries(
    ktorrent_stats
    ktcore
    KF5::Torrent
    KF5::CoreAddons
    KF5::I18n
    KF5::Plotting
    KF5::WidgetsAddons
)

=== plugins/ipfilter/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(ipblocklisttest.cpp ../ipblocklist.cpp TEST_NAME ipblocklisttest LINK_LIBRARIES ktcore Qt::Core Qt::Network KF5::Torrent  Qt::Test)

=== debian/changelog ===
ktorrent (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:23 +0100

ktorrent (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:06:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.91~),
@@ -43,7 +43,7 @@
                qtbase5-dev (>= 5.15.2~),
                qtscript5-dev (>= 5.7.0),
                qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mipsel],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktorrent.git
@@ -55,7 +55,7 @@
          libktorrent-l10n,
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: geoip-database, krosspython
+Suggests: geoip-database, krosspython,
 Description: BitTorrent client based on the KDE platform
  This package contains KTorrent, a BitTorrent peer-to-peer network client, that
  is based on the KDE platform. Obviously, KTorrent supports such basic features
@@ -83,8 +83,8 @@
 
 Package: ktorrent-data
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: ktorrent (>= ${source:Version})
+Depends: ${misc:Depends},
+Recommends: ktorrent (>= ${source:Version}),
 Description: KTorrent data and other architecture independent files
  This package contains architecture independent data files for KTorrent,
  a BitTorrent peer-to-peer network client. Unless you have ktorrent package

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DWITH_SYSTEM_GEOIP:BOOL=ON \

## ktorrent 23.04.1

=== debian/changelog ===
ktorrent (23.04.1-0xneon+22.04+jammy+release+build16) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 20:44:51 +0000

ktorrent (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:19:35 +0000

ktorrent (23.04.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 15:33:01 +0000

ktorrent (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:49:02 +0000

ktorrent (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:10:52 +0000

ktorrent (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:50:35 +0000

ktorrent (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:18:29 +0000

ktorrent (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:11:33 +0000

ktorrent (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:22:14 +0000

ktorrent (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:08:32 +0000

ktorrent (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:33:55 +0000

ktorrent (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:27:22 +0000

ktorrent (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:44:10 +0000

ktorrent (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:57:50 +0000

ktorrent (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:02:54 +0000

ktorrent (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:35:39 +0000

ktorrent (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:07:35 +0000

ktorrent (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:34 +0000

ktorrent (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:40:50 +0000

ktorrent (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:46:40 +0000

ktorrent (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:19:33 +0000

ktorrent (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:49:58 +0000

ktorrent (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:17:28 +0000

ktorrent (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:54:27 +0000

ktorrent (20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:09:25 +0000

ktorrent (20.12.1-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021.12.21:13 +0000

ktorrent (5.1.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 02 Sep 2019 10:48:55 +0000

ktorrent (5.1.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 31 Aug 2018 12:36:31 +0000

=== debian/control ===
Source: ktorrent
Section: net
Priority: optional
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9~),
               extra-cmake-modules,
               kross-dev (>= 5.15),
               libboost-dev,
               libgeoip-dev,
               libkf5archive-dev (>= 5.15),
               libkf5completion-dev (>= 5.15),
               libkf5config-dev (>= 5.15),
               libkf5configwidgets-dev (>= 5.15),
               libkf5coreaddons-dev (>= 5.15),
               libkf5crash-dev (>= 5.15),
               libkf5dbusaddons-dev (>= 5.15),
               libkf5dnssd-dev (>= 5.15),
               libkf5doctools-dev (>= 5.15),
               libkf5i18n-dev (>= 5.15),
               libkf5iconthemes-dev (>= 5.15),
               libkf5itemviews-dev (>= 5.15),
               libkf5kcmutils-dev (>= 5.15),
               libkf5kio-dev (>= 5.15),
               libkf5notifications-dev (>= 5.15),
               libkf5notifyconfig-dev (>= 5.15),
               libkf5parts-dev (>= 5.15),
               libkf5plotting-dev (>= 5.15),
               libkf5service-dev (>= 5.15),
               libkf5solid-dev (>= 5.15),
               libkf5syndication-dev,
               libkf5textwidgets-dev (>= 5.15),
               libkf5widgetsaddons-dev (>= 5.15),
               libkf5windowsystem-dev (>= 5.15),
               libkf5xmlgui-dev (>= 5.15),
               libktorrent-dev (>= 2.1),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libtag1-dev,
               pkg-kde-tools (>= 0.15.16),
               plasma-workspace-dev,
               qtbase5-dev (>= 5.7.0),
               qtscript5-dev (>= 5.7.0),
               qtwebengine5-dev
Standards-Version: 4.1.4
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://invent.kde.org/neon/extras/ktorrent.git
Vcs-Browser: https://invent.kde.org/neon/extras/ktorrent
Maintainer: Neon CI <neon@kde.org>

Package: ktorrent
Architecture: any
Depends: ktorrent-data (= ${source:Version}),
         libktorrent-l10n,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: geoip-database, krosspython
Description: BitTorrent client based on the KDE platform
 This package contains KTorrent, a BitTorrent peer-to-peer network client, that
 is based on the KDE platform. Obviously, KTorrent supports such basic features
 as downloading, uploading and seeding files on the BitTorrent network.
 However, lots of other additional features and intuitive GUI should make
 KTorrent a good choice for everyone. Some features are available as plugins
 hence you should make sure you have the ones you need enabled.
   - Support for HTTP and UDP trackers, trackerless DHT (mainline) and webseeds.
   - Alternative UI support including Web interface.
   - Torrent grouping, speed capping, various download prioritization
     capabilities on both torrent and file level as well as bandwidth
     scheduling.
   - Support for fetching torrent files from many sources including any local
     file or remote URL, RSS feeds (with filtering) or actively monitored
     directory etc.
   - Integrated and customizable torrent search on the Web.
   - Various security features like IP blocking and protocol encryption.
   - Disk space preallocation to reduce fragmentation.
   - uTorrent compatible peer exchange.
   - Autoconfiguration for LANs like Zeroconf extension and port forwarding via
     uPnP.
   - Scripting support via Kross and interprocess control via DBus interface.
   - SOCKSv4 and SOCKSv5 proxy, IPv6 support.
   - Lots of other useful built-in features and plugins.

Package: ktorrent-data
Architecture: all
Depends: ${misc:Depends}
Recommends: ktorrent (>= ${source:Version})
Replaces: ktorrent (<< 3.2~beta1+svn902175)
Breaks: ktorrent (<< 3.2~beta1+svn902175)
Description: KTorrent data and other architecture independent files
 This package contains architecture independent data files for KTorrent,
 a BitTorrent peer-to-peer network client. Unless you have ktorrent package
 installed, you probably won't find this package useful.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DWITH_SYSTEM_GEOIP:BOOL=ON \
	                           -DBUILD_TESTING=OFF

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='ktorrent-dbg (<< 4.3.1-5~)'

%:
	dh $@ --parallel --with kf5

.PHONY: override_dh_auto_test

## ktorrent 23.04.2

=== debian/changelog ===
ktorrent (23.04.2-0xneon+22.04+jammy+release+build18) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 11:58:50 +0000

ktorrent (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 21:56:42 +0000
